import { Transactionable } from '@tego/server';
import Trigger from '.';
import type { WorkflowModel } from '../types';
export interface CollectionChangeTriggerConfig {
    collection: string;
    mode: number;
    condition: any;
}
export default class CollectionTrigger extends Trigger {
    events: Map<any, any>;
    on(workflow: WorkflowModel): void;
    off(workflow: WorkflowModel): void;
    validateEvent(workflow: WorkflowModel, context: any, options: Transactionable): Promise<boolean>;
}
